#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# do not perform "setup.py test"
#
%define		pypi_name	pytools
Summary:	A small collection of tools for Python 2
Summary(pl.UTF-8):	Mały zestaw narzędzi dla Pythona 2
Name:		python-pytools
Version:	2018.5.2
Release:	2
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/pytools/
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	50217f663eb30a1e5d248cc6defd0cf6
URL:		http://mathema.tician.de/software/pytools
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-appdirs >= 1.4.0
BuildRequires:	python-decorator >= 3.2.0
BuildRequires:	python-numpy >= 1.6.0
BuildRequires:	python-pytest
BuildRequires:	python-six >= 1.8.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-appdirs >= 1.4.0
BuildRequires:	python3-decorator >= 3.2.0
BuildRequires:	python3-numpy >= 1.6.0
BuildRequires:	python3-pytest
BuildRequires:	python3-six >= 1.8.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-appdirs >= 1.4.0
Requires:	python-decorator >= 3.2.0
Requires:	python-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of Andreas Kloeckner's
other software packages, and is probably of little interest to you
unless you use those.

%description -l pl.UTF-8
Pytools to pojemnik na elementy "brakującyce" w standardowej
bibliotece Pythona. Jest to głównie zależność innych pakietów
oprogramowania Andreasa Kloecknera, w pozostałych przypadkach pewnie
mało interesująca.

%package -n python3-pytools
Summary:	A small collection of tools for Python 3
Summary(pl.UTF-8):	Mały zestaw narzędzi dla Pythona 3
Group:		Development/Languages/Python
Requires:	python3-appdirs >= 1.4.0
Requires:	python3-decorator >= 3.2.0
Requires:	python3-six

%description -n python3-pytools
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of Andreas Kloeckner's
other software packages, and is probably of little interest to you
unless you use those.

%description -n python3-pytools -l pl.UTF-8
Pytools to pojemnik na elementy "brakującyce" w standardowej
bibliotece Pythona. Jest to głównie zależność innych pakietów
oprogramowania Andreasa Kloecknera, w pozostałych przypadkach pewnie
mało interesująca.

%prep
%setup -q -n pytools-%{version}

%build
%if %{with python2}
%py_build

%{?with_tests:PYTHONPATH=$(pwd) %{__python} -m pytest test}
%endif

%if %{with python3}
%py3_build

%{?with_tests:PYTHONPATH=$(pwd) %{__python3} -m pytest test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/pytools
%{py_sitescriptdir}/pytools-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pytools
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/pytools
%{py3_sitescriptdir}/pytools-%{version}-py*.egg-info
%endif
%changelog
* Thu Oct 31 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pytools.git;a=log;h=auto/th/python-pytools-2018.5.2-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b586efd
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Sep 14 2018 Elan Ruusamäe <glen@pld-linux.org> 50381db
- use reusable source url

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fc602b
- up to 2018.5.2

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 741155d
- release 3 (by relup.sh)

* Sat Mar 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 4e0889b
- adjusted py.test invocation to work with py.test 2.x/3.0.x

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cf5b384
- python 3.6
- release 2 (by relup.sh)

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> d94dcc9
- updated to 2016.2.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e2e2da0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 380d079
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b3a47f8
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c040a02
- python3.5 rebuild
- release 3 (by relup.sh)

* Fri Mar 06 2015 Jakub Bogusz <qboosh@pld-linux.org> deee0db
- release 2

* Fri Mar 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 5076000
- BR: python*-appdirs to avoid network usage

* Fri Mar 06 2015 Jakub Bogusz <qboosh@pld-linux.org> b3f5d13
- updated to 2014.3.5, build also python3 module

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> ee0d78e
- new

